package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TrafficAccidentDistribution;
import com.lightinit.hsdatashow.entity.TrafficAccidentDistributionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.AccidentDistributionModel;
import org.apache.ibatis.annotations.Param;

public interface TrafficAccidentDistributionMapper {
    long countByExample(TrafficAccidentDistributionExample example);

    int deleteByExample(TrafficAccidentDistributionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TrafficAccidentDistribution record);

    int insertSelective(TrafficAccidentDistribution record);

    List<TrafficAccidentDistribution> selectByExample(TrafficAccidentDistributionExample example);

    TrafficAccidentDistribution selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TrafficAccidentDistribution record, @Param("example") TrafficAccidentDistributionExample example);

    int updateByExample(@Param("record") TrafficAccidentDistribution record, @Param("example") TrafficAccidentDistributionExample example);

    int updateByPrimaryKeySelective(TrafficAccidentDistribution record);

    int updateByPrimaryKey(TrafficAccidentDistribution record);

    List<AccidentDistributionModel> getTrafficAccidentDistribution();
}